Subject: Re: [RFC] Git User's Survey 2009 - second trial run, and question about announcing it

From: David Aguilar <[email-masked]>
Date: Fri, 3 Jul 2009 18:26:36 -0700

On Sat, Jul 04, 2009 at 02:19:25AM +0300, Felipe Contreras wrote:
> 2009/7/3 Jakub Narebski <[email-masked]>:
> 
> > 20. Overall, how happy are you with Git?
> >    * unhappy
> >    * not so happy
> >    * happy
> >    * very happy
> >    * completely ecstatic
> 
> Let's leave room for git haters too:
>  * I hate it

Umm, let's not.

If they hate it, they'll be in the "unhappy" category.
And if they hate it, I doubt they'll be filling out this survey.

I've heard nothing but unhelpful, uneducated, and stubborn words
from people who "hate git".  They usually have nothing productive
to say and spend their time complaining about really petty things
like the fact that they have to paste in a SHA-1 every now and
then.  Worse still, they almost never have constructive
criticism and thus will always be upset.

Personally, I couldn't care less to hear what they have to
say.  The only thing worse then the haters are the ones who
actually believe that they would hate hg less
(even when they've never tried hg!).

Let's not encourage them by including including "I hate git"
in our survey.

No thanks.

> - 21. In you opinion, which areas in Git needs improvement?
> + 21. In you opinion, which areas of Git need improvement?

- 21. In you opinion, which areas of Git need improvement?
+ 21. In your opinion, which areas of Git need improvement?
         ^^^^

Have fun,

-- 
		David